    USE INTERVAL_ARITHMETICS
    IMPLICIT NONE
    TYPE (INTERVAL) :: A, B, C, D, E, F
    A%LOWER = 6.9            
    A%UPPER = 7.1
    B%LOWER = 10.9           
    B%UPPER = 11.1
    WRITE (*,*) A, B
    C = A + B                
    D = A - B
    E = A * B                
    F = A / B
    WRITE (*,*) C, D         
    WRITE (*,*) E, F
    END
